//+------------------------------------------------------------------+ 
//|   TRO_CONQUEROR2                                                 | 
//|                                                                  | 
//|   Copyright  2010, Avery T. Horton, Jr. aka TheRumpledOne       |
//|                                                                  |
//|   PO BOX 43575, TUCSON, AZ 85733                                 |
//|                                                                  |
//|   GIFTS AND DONATIONS ACCEPTED                                   | 
//|   All my indicators should be considered donationware. That is   |
//|   you are free to use them for your personal use, and are        |
//|   under no obligation to pay for them. However, if you do find   |
//|   this or any of my other indicators help you with your trading  |
//|   then any Gift or Donation as a show of appreciation is         |
//|   gratefully accepted.                                           |
//|                                                                  |
//|   Gifts or Donations also keep me motivated in producing more    |
//|   great free indicators. :-)                                     |
//|                                                                  |
//|   PayPal - THERUMPLEDONE@GMAIL.COM                               |  
//+------------------------------------------------------------------+ 
//| Use http://therumpledone.mbtrading.com/fx/ as your forex broker  |  
//| ...tell them therumpledone sent you!                             |  
//+------------------------------------------------------------------+ 

#property  copyright "Copyright  2010, Avery T. Horton, Jr. aka TRO" 
#property  link      "http://www.therumpledone.com/"


//---- indicator settings
#property  indicator_separate_window
#property  indicator_buffers 3
#property indicator_color1 Lime
#property indicator_color2 OrangeRed
#property indicator_minimum 0
#property indicator_maximum 4

extern bool   CON.Sound.Alert    = true ;
extern bool   CON.Comment    = true ;
  

extern int    CON.MA_Period   = 10;  
extern int    CON.MA_Method   = 0;  

extern color CON.BarColorUp   = Lime;
extern color CON.BarColorDown = OrangeRed;
extern color CON.BarColorWait = DimGray;

//extern color TextColor    = White;

int CON.BarWidth = 0;
int myWingding = 110;// 112

double buf1_up[];
double buf1_down[];
double buf1_wait[]; 

//---- indicator parameters
  int FastEMA=2;
  int SlowEMA=3;
  int SignalSMA=9;
//---- indicator buffers
double     MBuffer[];
double     SBuffer[];

double     LHBuffer[];
double     HLBuffer[];
double     LLBuffer[];


string symbol, tChartPeriod,  tShortName ;  
int    digits, period  ; 
datetime Trigger ;

//---- variables

string tTrade = "" ;   
color tColor    = White;
string tObjName01   ;
int      corner;
int      window; 
string   shortName;
int      win ;  

bool sFirst;



int YourAccountNumber, maxi ;


double point, pos = 3, pos1 = 2 , pos2 = 1 ;

 

bool FILLED = false;



double    D1_Open, D1_Close, D1_high, D1_low, D1_range, D1_pivot, D1_ClOp    ; 
 
double   MA1, MA10;  

//+------------------------------------------------------------------+
int init()
  {
  
  
  
  sFirst = true ;
  

   
   period       =  Period() ;     
   tChartPeriod =  TimeFrameToString(period) ;
   symbol       =  Symbol() ;
   digits       =  Digits ;   
   point        =  Point ;
   
   if(digits == 5 || digits == 3) { digits = digits - 1 ; point = point * 10 ; }    
   
   
   shortName  = "CONQUEROR " +  Symbol() + " " + tChartPeriod ;
   tObjName01 = shortName +  "0" ;


   IndicatorShortName(shortName);  

//---- indicators
   SetIndexStyle(0,DRAW_ARROW,0,CON.BarWidth,CON.BarColorUp);
   SetIndexArrow(0,myWingding);
   SetIndexBuffer(0,buf1_up);

   
   SetIndexStyle(1,DRAW_ARROW,0,CON.BarWidth,CON.BarColorDown);
   SetIndexArrow(1,myWingding);
   SetIndexBuffer(1,buf1_down);
     

   SetIndexStyle(2,DRAW_ARROW,0,CON.BarWidth,CON.BarColorWait);
   SetIndexArrow(2,myWingding);
   SetIndexBuffer(2,buf1_wait);

   
   SetIndexStyle(3,DRAW_ARROW,0,CON.BarWidth,CON.BarColorDown);
   SetIndexArrow(3,myWingding);
   SetIndexBuffer(3,LHBuffer);


   SetIndexStyle(4,DRAW_ARROW,0,CON.BarWidth,CON.BarColorUp);
   SetIndexArrow(4,myWingding);
   SetIndexBuffer(4,HLBuffer);

   
   SetIndexStyle(5,DRAW_ARROW,0,CON.BarWidth,CON.BarColorDown);
   SetIndexArrow(5,myWingding);
   SetIndexBuffer(5,LLBuffer);   
   IndicatorDigits(0);
   
   TRO();
   
   return(0);
  }
  
//+------------------------------------------------------------------+
int deinit()
  {
 
  Comment("") ;
  TRO();
  
   return(0);
  }
    
//+------------------------------------------------------------------+
//| Moving Averages                           |
//+------------------------------------------------------------------+
int start()
  {
  
  
  
   int limit;
   int counted_bars=IndicatorCounted();
//---- last counted bar will be recounted
   if(counted_bars>0) counted_bars--;
   
   if(FILLED) { limit=Bars-counted_bars; }
   else { limit = Bars ; }
   


   for(int i=0; i<limit; i++)
   {
      buf1_down[i]=EMPTY_VALUE;
      buf1_up[i]  =EMPTY_VALUE; 
      buf1_wait[i]  =EMPTY_VALUE; 
                               
      MA1 = iMA(symbol,0,CON.MA_Period,0,CON.MA_Method,PRICE_CLOSE,i) ;
      MA10 = iMA(symbol,0,CON.MA_Period,0,CON.MA_Method,PRICE_CLOSE,i+10) ;   
 
      
      if ( Close[i] >= MA1 && MA1  >= MA10 && Close[i] > Close[i+40] ) 
         { buf1_up[i] = pos ; }
      else   
      if ( Close[i] <= MA1 && MA1  <= MA10 && Close[i] < Close[i+40] )                  
         { buf1_down[i]   = pos ; } 
      else      
         { buf1_wait[i]   = pos ; } 
  }

   if( i > 100 ) { FILLED = true ; }

  if (  Trigger != Time[0] && CON.Sound.Alert ) // Trigger != Time[0] && 
  {
        if( buf1_wait[1] == pos && buf1_up[0]   == pos  ) { Trigger = Time[0] ; Alert(symbol,"  ", tChartPeriod, " CONQUEROR BUY!  "+ DoubleToStr(Close[0] ,digits)); }
        if( buf1_wait[1] == pos && buf1_down[0] == pos  ) { Trigger = Time[0] ; Alert(symbol,"  ", tChartPeriod, " CONQUEROR SELL SHORT! "+ DoubleToStr(Close[0] ,digits)); }     
  }

if(CON.Comment)
{
 

      MA1 = iMA(symbol,0,CON.MA_Period,0,CON.MA_Method,PRICE_CLOSE,0) ;
      MA10 = iMA(symbol,0,CON.MA_Period,0,CON.MA_Method,PRICE_CLOSE,10) ;  

Comment(

 "\n" , "CONQUEROR: " ,  
"  C=" , DoubleToStr(Close[0],Digits) , " " ,
"  C[40]=" , DoubleToStr(Close[40],Digits) , " " ,
"  MA=" , DoubleToStr(MA1,Digits) , " " ,
"  MA[10]=" , DoubleToStr(MA10,Digits) , " " ,


"") ; 
} // if(CON.Comment)


return(0);
}
  
//+------------------------------------------------------------------+
 

string TimeFrameToString(int tf)
{
   string tfs;
   switch(tf) {
      case PERIOD_M1:  tfs="M1"  ; break;
      case PERIOD_M5:  tfs="M5"  ; break;
      case PERIOD_M15: tfs="M15" ; break;
      case PERIOD_M30: tfs="M30" ; break;
      case PERIOD_H1:  tfs="H1"  ; break;
      case PERIOD_H4:  tfs="H4"  ; break;
      case PERIOD_D1:  tfs="D1"  ; break;
      case PERIOD_W1:  tfs="W1"  ; break;
      case PERIOD_MN1: tfs="MN";
   }
   return(tfs);
}


//+------------------------------------------------------------------+  
void TRO()
{   
   
   string tObjName03    = "TROTAG"  ;  
   ObjectCreate(tObjName03, OBJ_LABEL, 0, 0, 0);//HiLow LABEL
   ObjectSetText(tObjName03, CharToStr(78) , 12 ,  "Wingdings",  DimGray );
   ObjectSet(tObjName03, OBJPROP_CORNER, 3);
   ObjectSet(tObjName03, OBJPROP_XDISTANCE, 5 );
   ObjectSet(tObjName03, OBJPROP_YDISTANCE, 5 );  
}
//+------------------------------------------------------------------+
//+------------------------------------------------------------------+
/*

Comment(

"pair " , symbol , "\n" , 
"MBuffer[0] " , DoubleToStr(MBuffer[0],6) , "\n" ,
"SBuffer[0] " , DoubleToStr(SBuffer[0],6) , "\n" ,

"buf1_up[0] " , DoubleToStr(buf1_up[0],Digits) , "\n" ,
"buf1_up[1] " , DoubleToStr(buf1_up[1],Digits) , "\n" ,
"buf1_up[2] " , DoubleToStr(buf1_up[1],Digits) , "\n" ,
"buf1_down[0] " , DoubleToStr(buf1_down[0],Digits) , "\n" ,
"buf1_down[1] " , DoubleToStr(buf1_down[1],Digits) , "\n" ,
"buf1_down[2] " , DoubleToStr(buf1_down[1],Digits) , "\n" ,
"") ; 

*/